Check up to 500 addresses or domains at once
Checks up to 500 email addresses in one call and returns a result for each, in the same order.
Request
JSON object. Required: emails.
Request Body
Edit the values below to test different scenarios.
Parameters and body structure are inherited from this endpoint's definition. Changes here only apply to this test run.
1curl --request POST \
2 --url https://disposable-email-detector.p.apihiver.com/v1/check/batch \
3 --header 'Accept: application/json' \
4 --header 'Content-Type: application/json' \
5 --header 'X-API-Key: YOUR_API_KEY' \
6 --data '{
7 "emails": [
8 "[email protected]",
9 "[email protected]"
10 ]
11}'Check up to 500 addresses or domains at once: Disposable Email Detection API reference
Checks up to 500 email addresses in one call and returns a result for each, in the same order. This endpoint is part of the Disposable Email Detection API: Detect throwaway and temporary email addresses (Mailinator, 10MinuteMail and 8,900+ more domains) at sign-up — single, batch or classify.
Check up to 500 addresses or domains at once: example requests in every language
POST /v1/check/batch in Shell (cURL)
curl --request POST \
--url https://disposable-email-detector.p.apihiver.com/v1/check/batch \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: YOUR_API_KEY' \
--data '{
"emails": [
"[email protected]",
"[email protected]"
]
}'POST /v1/check/batch in Shell (HTTPie)
echo '{
"emails": [
"[email protected]",
"[email protected]"
]
}' | \
http POST https://disposable-email-detector.p.apihiver.com/v1/check/batch \
Accept:application/json \
Content-Type:application/json \
X-API-Key:YOUR_API_KEYPOST /v1/check/batch in Shell (Wget)
wget --quiet \
--method POST \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'X-API-Key: YOUR_API_KEY' \
--body-data '{\n "emails": [\n "[email protected]",\n "[email protected]"\n ]\n}' \
--output-document \
- https://disposable-email-detector.p.apihiver.com/v1/check/batchPOST /v1/check/batch in Node.js (http)
const http = require('https');
const options = {
method: 'POST',
hostname: 'disposable-email-detector.p.apihiver.com',
port: null,
path: '/v1/check/batch',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({emails: ['[email protected]', '[email protected]']}));
req.end();POST /v1/check/batch in Node.js (Request)
const request = require('request');
const options = {
method: 'POST',
url: 'https://disposable-email-detector.p.apihiver.com/v1/check/batch',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
body: {emails: ['[email protected]', '[email protected]']},
json: true
};
request(options, function (error, response, body) {
if (error) throw new Error(error);
console.log(body);
});POST /v1/check/batch in Node.js (Unirest)
const unirest = require('unirest');
const req = unirest('POST', 'https://disposable-email-detector.p.apihiver.com/v1/check/batch');
req.headers({
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
});
req.type('json');
req.send({
emails: [
'[email protected]',
'[email protected]'
]
});
req.end(function (res) {
if (res.error) throw new Error(res.error);
console.log(res.body);
});POST /v1/check/batch in Node.js (Axios)
const axios = require('axios').default;
const options = {
method: 'POST',
url: 'https://disposable-email-detector.p.apihiver.com/v1/check/batch',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
data: {emails: ['[email protected]', '[email protected]']}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/check/batch in Node.js (Fetch)
const fetch = require('node-fetch');
const url = 'https://disposable-email-detector.p.apihiver.com/v1/check/batch';
const options = {
method: 'POST',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
body: '{"emails":["[email protected]","[email protected]"]}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/check/batch in JavaScript (XMLHttpRequest)
const data = JSON.stringify({
emails: [
'[email protected]',
'[email protected]'
]
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener('readystatechange', function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open('POST', 'https://disposable-email-detector.p.apihiver.com/v1/check/batch');
xhr.setRequestHeader('Content-Type', 'application/json');
xhr.setRequestHeader('Accept', 'application/json');
xhr.setRequestHeader('X-API-Key', 'YOUR_API_KEY');
xhr.send(data);POST /v1/check/batch in JavaScript (Axios)
import axios from 'axios';
const options = {
method: 'POST',
url: 'https://disposable-email-detector.p.apihiver.com/v1/check/batch',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
data: {emails: ['[email protected]', '[email protected]']}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/check/batch in JavaScript (Fetch)
const url = 'https://disposable-email-detector.p.apihiver.com/v1/check/batch';
const options = {
method: 'POST',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
body: '{"emails":["[email protected]","[email protected]"]}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/check/batch in JavaScript (jQuery)
const settings = {
async: true,
crossDomain: true,
url: 'https://disposable-email-detector.p.apihiver.com/v1/check/batch',
method: 'POST',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
processData: false,
data: '{\n "emails": [\n "[email protected]",\n "[email protected]"\n ]\n}'
};
$.ajax(settings).done(function (response) {
console.log(response);
});POST /v1/check/batch in Python (http.client)
import http.client
conn = http.client.HTTPSConnection("disposable-email-detector.p.apihiver.com")
payload = "{\n \"emails\": [\n \"[email protected]\",\n \"[email protected]\"\n ]\n}"
headers = {
'Content-Type': "application/json",
'Accept': "application/json",
'X-API-Key': "YOUR_API_KEY"
}
conn.request("POST", "/v1/check/batch", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))POST /v1/check/batch in Python (Requests)
import requests
url = "https://disposable-email-detector.p.apihiver.com/v1/check/batch"
payload = { "emails": ["[email protected]", "[email protected]"] }
headers = {
"Content-Type": "application/json",
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())POST /v1/check/batch in PHP (cURL)

POST /v1/check/batch in Swift (NSURLSession)
import Foundation
let headers = [
"Content-Type": "application/json",
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
]
let parameters = ["emails": ["[email protected]", "[email protected]"]] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://disposable-email-detector.p.apihiver.com/v1/check/batch")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()POST /v1/check/batch in Objective-C (NSURLSession)
#import <Foundation/Foundation.h>
NSDictionary *headers = @{ @"Content-Type": @"application/json",
@"Accept": @"application/json",
@"X-API-Key": @"YOUR_API_KEY" };
NSDictionary *parameters = @{ @"emails": @[ @"[email protected]", @"[email protected]" ] };
NSData *postData = [NSJSONSerialization dataWithJSONObject:parameters options:0 error:nil];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:@"https://disposable-email-detector.p.apihiver.com/v1/check/batch"]
cachePolicy:NSURLRequestUseProtocolCachePolicy
timeoutInterval:10.0];
[request setHTTPMethod:@"POST"];
[request setAllHTTPHeaderFields:headers];
[request setHTTPBody:postData];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *dataTask = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"%@", error);
} else {
NSHTTPURLResponse *httpResponse = (NSHTTPURLResponse *) response;
NSLog(@"%@", httpResponse);
}
}];
[dataTask resume];POST /v1/check/batch in Kotlin (OkHttp)
val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"emails\": [\n \"[email protected]\",\n \"[email protected]\"\n ]\n}")
val request = Request.Builder()
.url("https://disposable-email-detector.p.apihiver.com/v1/check/batch")
.post(body)
.addHeader("Content-Type", "application/json")
.addHeader("Accept", "application/json")
.addHeader("X-API-Key", "YOUR_API_KEY")
.build()
val response = client.newCall(request).execute()POST /v1/check/batch in C (libcurl)
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://disposable-email-detector.p.apihiver.com/v1/check/batch");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Accept: application/json");
headers = curl_slist_append(headers, "X-API-Key: YOUR_API_KEY");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"emails\": [\n \"[email protected]\",\n \"[email protected]\"\n ]\n}");
CURLcode ret = curl_easy_perform(hnd);POST /v1/check/batch in Clojure (clj-http)
(require '[clj-http.client :as client])
(client/post "https://disposable-email-detector.p.apihiver.com/v1/check/batch" {:headers {:X-API-Key "YOUR_API_KEY"}
:content-type :json
:form-params {:emails ["[email protected]" "[email protected]"]}
:accept :json})POST /v1/check/batch in OCaml (CoHTTP)
open Cohttp_lwt_unix
open Cohttp
open Lwt
let uri = Uri.of_string "https://disposable-email-detector.p.apihiver.com/v1/check/batch" in
let headers = Header.add_list (Header.init ()) [
("Content-Type", "application/json");
("Accept", "application/json");
("X-API-Key", "YOUR_API_KEY");
] in
let body = Cohttp_lwt_body.of_string "{\n \"emails\": [\n \"[email protected]\",\n \"[email protected]\"\n ]\n}" in
Client.call ~headers ~body `POST uri
>>= fun (res, body_stream) ->
(* Do stuff with the result *)POST /v1/check/batch in R (httr)
library(httr)
url <- "https://disposable-email-detector.p.apihiver.com/v1/check/batch"
payload <- "{\n \"emails\": [\n \"[email protected]\",\n \"[email protected]\"\n ]\n}"
encode <- "json"
response <- VERB("POST", url, body = payload, add_headers('X-API-Key' = 'YOUR_API_KEY'), content_type("application/json"), accept("application/json"), encode = encode)
content(response, "text")POST /v1/check/batch in PowerShell (Invoke-WebRequest)
$headers=@{}
$headers.Add("Content-Type", "application/json")
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-WebRequest -Uri 'https://disposable-email-detector.p.apihiver.com/v1/check/batch' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"emails": [
"[email protected]",
"[email protected]"
]
}'POST /v1/check/batch in PowerShell (Invoke-RestMethod)
$headers=@{}
$headers.Add("Content-Type", "application/json")
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-RestMethod -Uri 'https://disposable-email-detector.p.apihiver.com/v1/check/batch' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"emails": [
"[email protected]",
"[email protected]"
]
}'POST /v1/check/batch in HTTP (HTTP/1.1)
POST /v1/check/batch HTTP/1.1
Content-Type: application/json
Accept: application/json
X-Api-Key: YOUR_API_KEY
Host: disposable-email-detector.p.apihiver.com
Content-Length: 63
{
"emails": [
"[email protected]",
"[email protected]"
]
}Example response (200, application/json)
Success.
1{
2 "results": [
3 {
4 "input": "[email protected]",
5 "domain": "mailinator.com",
6 "disposable": true
7 },
8 {
9 "input": "[email protected]",
10 "domain": "gmail.com",
11 "disposable": false
12 }
13 ],
14 "disposable_count": 1
15}Errors
- 400 — A required parameter is missing or a value has the wrong format.
1{ 2 "error": { 3 "code": "INVALID_INPUT", 4 "message": "emails: Field required" 5 } 6}
Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.
Other Disposable Email Detection API endpoints
- GETIs this email address or domain a disposable (throwaway) provider?
- GETHow many disposable domains are known
- GETClassify an address's domain: disposable, free webmail, or business
Disposable Email Detection API pricing →·Disposable Email Detection API overview →